Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nativelibs4java.mono
Class data_union

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.Union
              com.ochafik.lang.jnaerator.runtime.Union<data_union,data_union.ByValue,data_union.ByReference>
                  com.nativelibs4java.mono.data_union

All Implemented Interfaces:
  StructureType, StructureTypeDependent

Direct Known Subclasses:
  data_union.ByReference, data_union.ByValue

    public class data_union

extends Union<data_union,data_union.ByValue,data_union.ByReference>

native declaration : mono\metadata\metadata.h:327
This file was autogenerated by JNAerator,
a tool written by Olivier Chafik that uses a few opensource projects..
For help, please visit NativeLibs4Java, Rococoa, or JNA.

Nested Class Summary
`static class` | `data_union.ByReference`
`static class` | `data_union.ByValue`

Field Summary
`MonoArrayType.ByReference` | `array`
`MonoLibrary.MonoGenericClass` | `generic_class`
`MonoLibrary.MonoGenericParam` | `generic_param`
`MonoLibrary.MonoClass` | `klass`
`MonoLibrary.MonoMethodSignature` | `method`
`MonoLibrary.MonoType` | `type`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`data_union()`
`data_union(MonoArrayType.ByReference array)`
`data_union(MonoLibrary.MonoClass klass)`
`data_union(MonoLibrary.MonoGenericClass generic_class)`
`data_union(MonoLibrary.MonoGenericParam generic_param)`
`data_union(MonoLibrary.MonoMethodSignature method)`
`data_union(MonoLibrary.MonoType type)`

Method Summary
`protected data_union.ByReference` | `newByReference()`
`protected data_union.ByValue` | `newByValue()`
`protected data_union` | `newInstance()`

Methods inherited from class com.ochafik.lang.jnaerator.runtime.Union
`byReference, byValue, clone, read, readDependency, setDependency, setupClone, toArray, toArray, toArray, useMemory, write`

Methods inherited from class com.sun.jna.Union
`getNativeAlignment, getTypedValue, readField, setType, setTypedValue, writeField, writeField`

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoRead, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getBitsAnnotation, getFieldOrder, getPointer, getStructAlignment, hashCode, newInstance, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toString, useMemory`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.ochafik.lang.jnaerator.runtime.StructureType
`getPointer, size`

Field Detail

### klass

    public MonoLibrary.MonoClass klass

### type

    public MonoLibrary.MonoType type

### array

    public MonoArrayType.ByReference array

### method

    public MonoLibrary.MonoMethodSignature method

### generic_param

    public MonoLibrary.MonoGenericParam generic_param

### generic_class

    public MonoLibrary.MonoGenericClass generic_class

Constructor Detail

### data_union

    public data_union()

### data_union

    public data_union(MonoLibrary.MonoType type)

### data_union

    public data_union(MonoLibrary.MonoMethodSignature method)

### data_union

    public data_union(MonoLibrary.MonoClass klass)

### data_union

    public data_union(MonoLibrary.MonoGenericParam generic_param)

### data_union

    public data_union(MonoArrayType.ByReference array)

### data_union

    public data_union(MonoLibrary.MonoGenericClass generic_class)

Method Detail

### newByReference

    protected data_union.ByReference newByReference()

  Specified by:
    `newByReference` in class `Union<data_union,data_union.ByValue,data_union.ByReference>`

### newByValue

    protected data_union.ByValue newByValue()

  Specified by:
    `newByValue` in class `Union<data_union,data_union.ByValue,data_union.ByReference>`

### newInstance

    protected data_union newInstance()

  Specified by:
    `newInstance` in class `Union<data_union,data_union.ByValue,data_union.ByReference>`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD